import axios from "axios";

const baseUrl = import.meta.env.VITE_API_URL;

const api = axios.create({
    baseURL: baseUrl
});

// Interceptar las solicitudes antes de enviarlas
api.interceptors.request.use(
    (config) => {
        // Obtener el token de acceso actualizado del localStorage
        const accessToken = localStorage.getItem('access');
        
        // Verificar si hay un token de acceso y agregarlo al encabezado de autorización
        if (accessToken) {
            config.headers.Authorization = `Bearer ${accessToken}`;
        }
        
        return config;
    },
    (error) => {
        // Manejar errores de solicitud
        return Promise.reject(error);
    }
);

export default api;